
Figure - Bug #116445
【BSP】【EVT3】【ST】【Tlog】使用0054之前的版本，升级到0063之后的版本后tlog没有自动启动
2023-02-22 14:14 - 移动测试一组_CDTS 刘强

Status: CLOSED Start date: 2023-02-22

Priority: Normal Due date:

Assignee: 移动测试一组_CDTS 刘强 % Done: 100%

Category: SYSTEM Estimated time: 0.00 hour

Target version: VC1_FSE_0078_20230228

Need_Info: -- Found Version: 0054-0063

Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version: 2023-02-23

Test Type: ST Root cause: 之前tlog在user版本没有自启，属性值为0，后面通过OTA升级，属性值还是0，导致tlog没有自启

Description

Description

【前提条件】

None

【测试步骤】

1. 使用0054之前的版本，用OTA方式升级到0063之后的版本

2. *#147#，勾选Android log

3. 点击start 然后点击stop

4. 查看tlog

【预期结果】

4 tlog能抓取到开机后的所有

【实际结果】

4 设备开机后，没有自动运行，抓取不到log

History

#1 - 2023-02-22 14:20 - CD BSP-杜磊

- Category changed from BSP to SYSTEM

#2 - 2023-02-22 14:30 - CD TPM-王祥林

- Target version set to VC1_FSE_0078_20230228

#3 - 2023-02-23 14:04 - CD SYSTEM-夏旭

- Status changed from New to RESOLVED

- Assignee changed from CD SYSTEM-夏旭 to 移动测试一组_CDTS 刘强

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-02-23

- Root cause set to 之前tlog在user版本没有自启，属性值为0，后面通过OTA升级，属性值还是0，导致tlog没有自启

■ Current conclusion

已处理。
0054使用OTA升级到0063，属性值persist.sys.tlog.active是0，但是tlog还是可以开机自启

■ My analysis

之前tlog在user版本没有自启，属性值为0，后面通过OTA升级，属性值还是0，导致tlog没有自启

■ Next action 

测试验证

#4 - 2023-02-23 14:27 - CDTS_TEST 王成

- Description updated

#5 - 2023-03-01 15:26 - 移动测试一组_CDTS 刘强

- Status changed from RESOLVED to VERIFIED

验证版本：0078

验证结果：分别验证0054,0058,0063,0068.0073 升级到0078版本，验证ok

#6 - 2023-03-01 15:27 - 移动测试一组_CDTS 刘强

- Status changed from VERIFIED to CLOSED

测试结果：https://thundersoft.feishu.cn/sheets/shtcny12SqMcqB3HTDNd9lt2iJd
